summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Jay Lanagan <j@lngn.net>2023-05-05 20:41:51 +0100
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-05-06 08:28:28 +0700
commita058b39d6ea23d5af282469d83be5d294ec5b2f2 (patch)
treeeae5cf8946cdb412c3ec8b1bd1de3430ffdc1da0
parentf026a1066373073c190e79933bfb32dc23982123 (diff)
downloadslackbuilds-a058b39d6ea23d5af282469d83be5d294ec5b2f2.tar.gz
slackbuilds-a058b39d6ea23d5af282469d83be5d294ec5b2f2.tar.xz
desktop/gtklock-userinfo-module: Added (user info on gtklock)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/gtklock-userinfo-module/README12
-rw-r--r--desktop/gtklock-userinfo-module/gtklock-userinfo-module.SlackBuild105
-rw-r--r--desktop/gtklock-userinfo-module/gtklock-userinfo-module.info10
-rw-r--r--desktop/gtklock-userinfo-module/slack-desc19
4 files changed, 146 insertions, 0 deletions
diff --git a/desktop/gtklock-userinfo-module/README b/desktop/gtklock-userinfo-module/README
new file mode 100644
index 0000000000..72464aa4d6
--- /dev/null
+++ b/desktop/gtklock-userinfo-module/README
@@ -0,0 +1,12 @@
+gtklock-userinfo-module (adding user info to the lockscreen)
+
+gtklock is a lockscreen based on gtkgreet. It uses the
+wlr-layer-shell and wlr-input-inhibitor Wayland protocols. Works on
+sway and other wlroots-based compositors.
+
+NOTE:
+This modules user defined display is configured by the 'mugshot'
+application. Change any personal information or icon file within
+'mugshot' first in order for the gtklock module to show that info
+on the lockscreen.
+
diff --git a/desktop/gtklock-userinfo-module/gtklock-userinfo-module.SlackBuild b/desktop/gtklock-userinfo-module/gtklock-userinfo-module.SlackBuild
new file mode 100644
index 0000000000..59b2e50e10
--- /dev/null
+++ b/desktop/gtklock-userinfo-module/gtklock-userinfo-module.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for gtklock-userinfo-module
+
+# Copyright 2023 Jay Lanagan (j@lngn.net), Detroit, MI, USA.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=gtklock-userinfo-module
+VERSION=${VERSION:-2.0.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# change install location to /usr
+sed -i -e 's,usr/local,usr,g' makefile
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -rf $PKG/usr/lib${LIBDIRSUFFIX}/*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/gtklock-userinfo-module/gtklock-userinfo-module.info b/desktop/gtklock-userinfo-module/gtklock-userinfo-module.info
new file mode 100644
index 0000000000..7fbbc451df
--- /dev/null
+++ b/desktop/gtklock-userinfo-module/gtklock-userinfo-module.info
@@ -0,0 +1,10 @@
+PRGNAM="gtklock-userinfo-module"
+VERSION="2.0.0"
+HOMEPAGE="https://github.com/jovanlanik/gtklock-userinfo-module"
+DOWNLOAD="https://github.com/jovanlanik/gtklock-userinfo-module/archive/v2.0.0/gtklock-userinfo-module-2.0.0.tar.gz"
+MD5SUM="87f65f9f6372100fe53c9278cc447258"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="%README% gtklock mugshot"
+MAINTAINER="Jay Lanagan"
+EMAIL="j@lngn.net"
diff --git a/desktop/gtklock-userinfo-module/slack-desc b/desktop/gtklock-userinfo-module/slack-desc
new file mode 100644
index 0000000000..905b85dac5
--- /dev/null
+++ b/desktop/gtklock-userinfo-module/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+gtklock-userinfo-module: gtklock-userinfo-module (adding user info to the lockscreen)
+gtklock-userinfo-module:
+gtklock-userinfo-module: gtklock is a lockscreen based on gtkgreet. It uses the
+gtklock-userinfo-module: wlr-layer-shell and wlr-input-inhibitor Wayland protocols. Works on
+gtklock-userinfo-module: sway and other wlroots-based compositors.
+gtklock-userinfo-module:
+gtklock-userinfo-module: Homepage: https://github.com/jovanlanik/gtklock-userinfo-module
+gtklock-userinfo-module:
+gtklock-userinfo-module:
+gtklock-userinfo-module:
+gtklock-userinfo-module: